
Katello - Refactor #7294

Replace usage of translate filters in <th> with directives

08/28/2014 09:45 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Branch:  Pull request: https://github.com/Katello/katello/pull/462
Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Replace this:

<th alch-table-column>{{ "Author" | translate }}</th>

 With this:

<th alch-table-column><span translate>Author</span></th>

 Throughout the application.  This will reduce the number of filters we have and should make the application slightly more performant.

Associated revisions

Revision 16e1d60c - 08/28/2014 10:06 AM - Walden Raines

Fixes #7294: replace <th> translate filters with directives.

We were using translate filters in our table headers because

of a clash between the translate directive and other directives.

This commit updates the text in the <th>s to be wrapped in a

span that includes the translate directive instead.  Directives

are more performant than filters so this should speed up the

application ever so slightly.

http://projects.theforeman.org/issues/7294

Revision 828a64ea - 08/28/2014 10:06 AM - Walden Raines

Fixes #7294: replace <th> translate filters with directives.

We were using translate filters in our table headers because

of a clash between the translate directive and other directives.

This commit updates the text in the <th>s to be wrapped in a

span that includes the translate directive instead.  Directives

are more performant than filters so this should speed up the

application ever so slightly.

http://projects.theforeman.org/issues/7294

Revision 3491cb85 - 08/28/2014 02:50 PM - Walden Raines

Merge pull request #4623 from waldenraines/7294

Fixes #7294: replace <th> translate filters with directives.

Revision 4a08eaed - 08/28/2014 02:50 PM - Walden Raines

Merge pull request #4623 from waldenraines/7294

Fixes #7294: replace <th> translate filters with directives.
History

#1 - 08/28/2014 10:05 AM - Walden Raines

- Status changed from New to Assigned

#2 - 08/28/2014 10:23 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4623 added

- Pull request deleted ()

#3 - 08/28/2014 03:02 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|16e1d60c6a221806eed25b19635f252c342a45fd.

#4 - 09/15/2014 02:21 PM - Eric Helms

- translation missing: en.field_release set to 13
